GET
/
users
List users
curl --request GET \
  --url https://api.tigergate.dev/api/v1/compliance/users \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "name": "<string>",
      "mfa_enabled": true,
      "email_verified": true,
      "teams": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        }
      ],
      "joined_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "last_login_at": "2023-11-07T05:31:56Z"
    }
  ],
  "page": {
    "size": 123,
    "next_cursor": "<string>",
    "has_more": true
  },
  "meta": {
    "snapshot_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

A Compliance API key: Authorization: Bearer tgcmp_....

Query Parameters

role
string

Comma-separated roles to include.

Example:

"owner,admin"

limit
integer
default:200

Page size. Default 200, maximum 1000; larger values are capped.

Required range: 1 <= x <= 1000
cursor
string

page.next_cursor from the previous page. Send the same other parameters with it.

Maximum string length: 4096

Response

A page of users.

items
object[]
page
object
meta
object